<?php
/*
 * Config application order
 * 	1 - /farmer/conf/dokuwiki.php
 * 	2 - /barn/<id>/conf/local.php or /farmer/conf/local.php
 * 	3 - /farmer/conf/farm.protected.php
 * 	4 - /farmer/conf/barn.protected.php if animal
 * 	4 - /barn/<id>/conf/protected.php or /farmer/conf/protected.php
 *
 */

$conf['start']       = 'index';           //name of start page
$conf['template']    = 'dokuwiki';         //see lib/tpl directory
$conf['savedir']     = DOKU_FARM_BASEPATH.'data';          //where to store all the files
$conf['basedir']     = DOKU_FARM_BASEDIR;                //absolute dir from serveroot - blank for autodetection
$conf['baseurl']     = DOKU_FARM_BASEURL;                //URL to server including protocol - blank for autodetect
$conf['useacl']      = 1;                //Use Access Control Lists to restrict access?
$conf['authtype']    = 'genericsso';          //which authentication backend should be used
$conf['htmlok']      = 0;                //may raw HTML be embedded? This may break layout and XHTML validity 0|1
$conf['phpok']       = 0;                //may PHP code be embedded? Never do this on the internet! 0|1
$conf['updatecheck'] = 1;                //automatically check for new releases?
$conf['userewrite']  = 1;                //this makes nice URLs: 0: off 1: .htaccess 2: internal
$conf['useslash']    = 1;                //use slash instead of colon? only when rewrite is on
$conf['sepchar']     = '_';              //word separator character in page names; may be a

$conf['disableactions'] = 'register,resendpwd,profile';

$conf['plugin']['genericsso']['emailAttribute'] = 'mail';
$conf['plugin']['genericsso']['alwaysCheck'] = 1;
$conf['plugin']['genericsso']['loginURL'] = 'http://'.$_SERVER['SERVER_NAME'].'/Shibboleth.sso/Login?target={target}';
$conf['plugin']['genericsso']['logoutURL'] = 'http://'.$_SERVER['SERVER_NAME'].'/Shibboleth.sso/Logout?return={target}';

$conf['plugin']['sympagroups']['enabled'] = 1;
$conf['plugin']['sympagroups']['mailSource'] = 'mail';
$conf['plugin']['sympagroups']['exclusive'] = 1;
$conf['plugin']['sympagroups']['soapService'] = 'https://'.$_SERVER['SERVER_NAME'].'/sympa/wsdl';
$conf['plugin']['sympagroups']['applicationId'] = 'wiki';
$conf['plugin']['sympagroups']['applicationPwd'] = 'foobar';
